<?php namespace App;

use Illuminate\Database\Eloquent\Model;

class Address extends Model {

    protected $table = 'addresses';

    protected $primaryKey = 'address_id';

    protected $fillable = ['street','house_number','city','postal_code'];


    public function user()
    {
        return $this->hasMany('App\User');
    }

    public static function createNewAddress(array $addressAttributes)
    {
        $address = new Address();
        $address->street = $addressAttributes['street'];
        $address->house_number = $addressAttributes['house_number'];
        $address->city = $addressAttributes['city'];
        $address->postal_code = $addressAttributes['postal_code'];
        $address->save();

        return $address;
    }

}
