<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use App\Product;

class ProductController extends Controller {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index()
	{
		//
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		//$product = $request->input('product');
        //$availability = $request->input('availability');



	}

	/**
	 * Adding a new product.
	 *
	 * @return Response
	 */
	public function store(Requests\AddProductRequest $request)
	{
        $name = $request->input('name');
        $description = $request->input('description');
        $availability = $request->input('availability');

        Product::createNewProduct($name, $description, $availability);

        \Session::flash('flash_message','Nový produkt byl přidán.');
        return redirect('/administrator');
	}

	/**
	 * Show the page with form for editing product.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit($id)
	{
        $product = Product::find($id);
		return view('admin.editProduct', compact('product'));
	}

	/**
	 * Update a product.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function update(Requests\UpdateProductRequest $request, $id)
	{
		$product = Product::find($id);
        $name = $request->input('name');
        $description = $request->input('description');
        $availability = $request->input('availability');

        $product->name = $name;
        $product->description = $description;
        $product->availability = $availability;
        $product->save();

        \Session::flash('flash_message','Produkt byl upraven.');
        return redirect('/administrator/nase-produkty');

	}

    public function destroy($productID)
    {
        $product = Product::find($productID);
        $product->delete();


        \Session::flash('flash_message','Produkt byl úspěšně odebrán.');
        return redirect('/administrator/nase-produkty');
    }



}
