<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\User;
use App\Address;
use App\Order;
use Auth;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;


class UserController extends Controller {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index()
	{
        $first = Auth::user()->first_name;
        $last = Auth::user()->last_name;


		return view('user.overview', compact('first', 'last'));
	}


   public function showProfile()
   {
       $user = Auth::user();
       $address = $user->address()->first();

       return view('user.showProfile', compact('user','address'));
   }


	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		//
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	public function store()
	{
		//
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit($id)
	{
		//
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function updateProfile(Requests\EditUserProfile $request)
	{
        $user = Auth::user();
        $address = $user->address()->first();

        $phone = $request->input('phone');
        $street = $request->input('street');
        $houseNumber = $request->input('house_number');
        $city = $request->input('city');
        $postalCode = $request->input('postal_code');
        $note = $request->input('note');

        $user->phone = $phone;
        $user->note = $note;
        $address->street = $street;
        $address->house_number = $houseNumber;
        $address->city = $city;
        $address->postal_code = $postalCode;


        $address->save();
        $user->save();


        \Session::flash('flash_message','Vaše údaje byly aktualizovány.');
        return Redirect::back();
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function destroy($id)
	{
		//
	}

}
