<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', ['as' => 'home', 'uses' => 'HomeController@index']);

Route::get('welcome', 'WelcomeController@index');
Route::get('kontakt', ['as' => 'contact', 'uses' => 'ContactController@index']);


// Administrator issues

Route::get('administrator',['as' => 'admin', 'middleware' => 'admin', 'uses' => 'AdminController@index']);

Route::get('administrator/pridat-produkt',['as' => 'admin','middleware' => 'admin', 'uses' => 'AdminController@addProduct']);
Route::post('administrator/pridat-produkt', ['as' => 'admin','middleware' => 'admin','uses' => 'ProductController@store']);

Route::get('/administrator/nase-produkty/odebrat-produkt/{id}', ['as' => 'admin', 'middleware' => 'admin', 'uses' => 'AdminController@deleteProduct']);
Route::post('/administrator/nase-produkty/odebrat-produkt/{id}', ['as' => 'admin', 'middleware' => 'admin', 'uses' => 'ProductController@destroy']);

Route::get('administrator/nase-produkty',['as' => 'admin','middleware' => 'admin', 'uses' => 'AdminController@showProducts']);
Route::get('administrator/nase-produkty/produkt{id}', ['as' => 'admin','middleware' => 'admin', 'uses' => 'ProductController@edit']);
Route::post('administrator/nase-produkty/produkt{id}', ['as' => 'admin','middleware' => 'admin', 'uses' => 'ProductController@update']);

Route::get('administrator/dnes-varime', ['as' => 'admin','middleware' => 'admin', 'uses' => 'adminController@todayOrderList']);
Route::get('administrator/dnes-varime/den/{id}', ['as' => 'admin','middleware' => 'admin', 'uses' => 'adminController@makeOrderList']);

// User issues
Route::get('moje-objednavky', 'UserController@index');

Route::get('objednat-krabicky', ['as' => 'order','uses' => 'OrderController@index']);
Route::get('/objednat-krabicky/produkt/{id}',['as' => 'order','middleware' => 'auth', 'uses' => 'OrderController@order']);
Route::post('/objednat-krabicky/produkt/{id}',['as' => 'order','middleware' => 'auth', 'uses' => 'OrderController@store']);

Route::get('/profil-uzivatele/uzivatel{id}',['as' => 'profile', 'middleware' => 'auth', 'uses' => 'UserController@showProfile']);
Route::post('/profil-uzivatele/uzivatel{id}',['as' => 'profile', 'middleware' => 'auth', 'uses' => 'UserController@updateProfile']);

Route::get('/uzivatel{id}/moje-objednavky',['as' => 'myOrders','middleware' => 'auth', 'uses' => 'OrderController@myOrders']);
Route::get('/moje-objednavky/objednavka{id}', ['as' => 'myOrders', 'middleware' => 'auth', 'uses' => 'OrderController@editOrder']);
Route::post('/moje-objednavky/objednavka{id}', ['as' => 'myOrders', 'middleware' => 'auth', 'uses' => 'OrderController@updateOrderDay']);


Route::controllers([
	'auth' => 'Auth\AuthController',
	'password' => 'Auth\PasswordController',
]);
