<?php namespace App;

use Illuminate\Database\Eloquent\Model;

class Product extends Model {

	protected $table = 'products';
    protected $primaryKey = 'product_id';
    protected $fillable = ['name','description','availability'];


    public static function createNewProduct($name, $description, $availability)
    {

        $newProduct = new Product(['name' => $name, 'description' => $description,'availability' => $availability]);
        $newProduct->save();

        return $newProduct;
    }

    public function order()
    {
        return $this->hasMany('App\Product');
    }

    public static function findAvailableProducts()
    {
        $availableProducts = Product::where('availability','=',1)->get();
        return $availableProducts;
    }

}
