<?php namespace App\Services;

use App\User;
use App\Address;
use Validator;
use Illuminate\Contracts\Auth\Registrar as RegistrarContract;

class Registrar implements RegistrarContract {

	/**
	 * Get a validator for an incoming registration request.
	 *
	 * @param  array  $data
	 * @return \Illuminate\Contracts\Validation\Validator
	 */
	public function validator(array $data)
	{
		return Validator::make($data, [
			'first_name' => 'required|max:255',
            'last_name' => 'required|max:255',
			'email' => 'required|email|max:255|unique:users',
            'phone' => 'required|max:255',
			'password' => 'required|confirmed|min:6',
            'street' => 'required|max:255',
            'house_number' => 'required|integer',
            'city' => 'required|max:255',
            'postal_code' => 'required|max:255'
		]);
	}

	/**
	 * Create a new user instance after a valid registration.
	 *
	 * @param  array  $data
	 * @return User
	 */

    public function create(array $data) {


        $newUser = User::createNewUser([
            'first_name' => $data['first_name'],
            'last_name' => $data['last_name'],
            'email' => $data['email'],
            'phone' => $data['phone'],
            'password' => bcrypt($data['password'])

        ],[
            'street' => $data['street'],
            'house_number' => $data['house_number'],
            'city' => $data['city'],
            'postal_code' => $data['postal_code']
        ]);


        \Session::flash('flash_message','Gratulujeme, registrace proběhla úspěšně.');



        return $newUser;
    }

}
