<?php namespace App;

use Illuminate\Database\Eloquent\Model;
use Jenssegers\Date\Date;
use Carbon\Carbon;

class help extends Model {

    /**
     * Get nice czech date format.
     *
     * @param $date
     * @return string
     */
    public static function getCzechDate($date)
    {
        $date = new Date($date);
        $czechDate = $date->format('j. F Y');
        return $czechDate;
    }

    /**
     * Get numeric date format.
     *
     * @param $date
     * @return Date|string
     */
    public static function getNumericDate($date)
    {
        $date = new Date($date);
        $date = $date->format('j.n. Y');
        return $date;
    }

    /**
     * Return true or false if meal is ordered.
     *
     * @param $meal
     * @return bool
     */
    public static function isOrdered($meal)
    {
        return $meal == 1 ? true : false;
    }

}
