@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Odstranit produkt</h1>
            <h2 class="section-header__subtitle subtitle">{{ $product->name }}</h2>
            <p class="section-header__info info">Odeberte vybraný produkt z nabídky.</p>
        </div>
    </div>
    <div class="section section-delete-product">
        <div class="wrap wrap--8">

            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Ups!</strong>Nastala chyba<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="info">Smažte produkt <strong>pouze</strong> tehdy, pokud jste si jisti, že veškeré objednávky spojené s tímto produktem jsou kompletně vyřízené.</div>

            <div class="form section-delete-form">

                {!! Form::open() !!}

                <div class="form-group">
                    {!! Form::submit('Odebrat produkt', ['class' => 'btn btn--blue-white','onclick' => 'return confirm("Opravdu chcete daný produkt odebrat?");']) !!}
                </div>

                {!! Form::close() !!}
            </div>

            <a class="back-button" href="{{ URL::previous() }}">Zpět</a>

        </div>
    </div>
@endsection
