@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Upravit produkt</h1>
            <h2 class="section-header__subtitle subtitle">{{ $product->name }}</h2>
            <p class="section-header__info info">Vyplňte informace o produktu.</p>
        </div>
    </div>
    <div class="section section-edit-product-form">
        <div class="wrap wrap--8">

                    @if (count($errors) > 0)
                    <div class="alert alert-danger">
                        <strong>Whoops!</strong>Zadali jste špatné údaje.<br><br>
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif



                    <div class="form section-edit-product-form">
                        {!! Form::open() !!}
                        <div class="text-field">
                            {!! Form::label('name','Název produktu') !!}
                            {!! Form::text('name', $product->name) !!}
                        </div>

                        <div class="text-area">
                            {!! Form::label('description','Popis') !!}
                            {!! Form::textarea('description', $product->description) !!}
                        </div>



                        <div class="selectbox">
                            {!! Form::label('availability','Dostupnost ANO/NE') !!}
                            {!! Form::select('availability', array(1 => 'Dostupné', 0 => 'Nedostupné'), $product->availability, ['class' => 'form-control']); !!}
                        </div>

                        <div class="submit">
                            {!! Form::submit('Upravit produkt', ['class' => 'btn btn--blue-white']) !!}
                        </div>
                        {!! Form::close() !!}
                    </div>

                        <a class="back-button" href="{{ URL::previous() }}">Zpět</a>

        </div>
    </div>
</div>
@endsection
