@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Naše produkty</h1>
            <h2 class="section-header__subtitle subtitle">Co nabízíme?</h2>
            <p class="section-header__info info">Spravujte nabízené produkty.</p>
        </div>
    </div>
    <div class="section section-show-products">
        <div class="wrap wrap--12">

            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Ups!</strong>Nastala chyba<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <table class="table-primary">
                <tr class="table-primary-header">
                    <th class="table-primary-header__data">Produkt</th>
                    <th class="table-primary-header__data">Dostupnost</th>
                    <th class="table-primary-header__data min-width">Popis</th>
                    <th>&nbsp;</th>
                    <th>&nbsp;</th>
                </tr>
                @foreach( $products as $product)
                    <tr class="table-primary-row">
                        <td class="table-primary-row__data">{{ $product->name }}</td>
                        <td class="table-primary-row__data">
                            @if($product->availability == 1)
                                Dostupné
                                @else
                                Nedostupné
                            @endif
                        </td>
                        <td class="table-primary-row__data">{{ $product->description }}</td>
                        <td class="table-primary-row__data"><a href="/administrator/nase-produkty/produkt{{ $product->product_id }}">Upravit</a></td>
                        <td class="table-primary-row__data"><a href="/administrator/nase-produkty/odebrat-produkt/{{ $product->product_id }}">Odebrat</a></td>
                    </tr>
                @endforeach
            </table>

                <a class="back-button" href="{{ URL::previous() }}">Zpět</a>

        </div>
    </div>
@endsection
