@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Dnes vaříme</h1>
            <h2 class="section-header__subtitle subtitle">{{ \App\help::getCzechDate($currentDate) }}</h2>
            <p class="section-header__info info">Kdo a jaké krabičky si objednal?</p>
        </div>
    </div>
    <div class="section section-today-orders">
        <div class="wrap wrap--12">

            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Ups!</strong>Nastala chyba<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <table id="todayOrderList" class="tablesorter table-primary">
                <thead>
                    <tr class="table-primary-header">
                        <th class="table-primary-header__data">Produkt</th>
                        <th class="table-primary-header__data">Klient</th>
                        <th class="table-primary-header__data">Adresa</th>
                        <th class="table-primary-header__data">Jídlo 1</th>
                        <th class="table-primary-header__data">Jídlo 2</th>
                        <th class="table-primary-header__data">Jídlo 3</th>
                        <th class="table-primary-header__data">Jídlo 4</th>
                        <th class="table-primary-header__data">Jídlo 5
                        <th class="table-primary-header__data">Poznámka</th>
                    </tr>
                </thead>
                <tbody>
            @foreach($dayOrderData as $data)
                   <tr class="table-primary-row">
                       <td class="table-primary-row__data">{{ $data->name }}</td>
                       <td class="table-primary-row__data">{{ $data->first_name }} {{ $data->last_name }}</td>
                       <td class="table-primary-row__data">{{ \App\User::getUserAddress($data->user_id) }}</td>
                       <td class="table-primary-row__data center">{!! \App\help::isOrdered($data->first_meal) ? '<span style="">ANO</span>' : '<span>-</span>' !!}</td>
                       <td class="table-primary-row__data center">{!! \App\help::isOrdered($data->second_meal) ? '<span style="">ANO</span>' : '<span>-</span>' !!}</td>
                       <td class="table-primary-row__data center">{!! \App\help::isOrdered($data->third_meal) ? '<span style="">ANO</span>' : '<span>-</span>' !!}</td>
                       <td class="table-primary-row__data center">{!! \App\help::isOrdered($data->fourth_meal) ? '<span style="">ANO</span>' : '<span>-</span>' !!}</td>
                       <td class="table-primary-row__data center">{!! \App\help::isOrdered($data->fifth_meal) ? '<span style="">ANO</span>' : '<span>-</span>' !!}</td>
                       <td class="table-primary-row__data">{{ $data->note }}</td>
                   </tr>
                @endforeach
                </tbody>
                <tfooter>
                    <tr class="table-primary-footer">
                        <td class="table-primary-footer__data" colspan="3">Počet dnešních objednávek: {{ $todayOrderCount }}</td>
                        <td class="table-primary-footer__data center">{{ $firstMealCount }}</td>
                        <td class="table-primary-footer__data center">{{ $secondMealCount }}</td>
                        <td class="table-primary-footer__data center">{{ $thirdMealCount }}</td>
                        <td class="table-primary-footer__data center">{{ $fourthMealCount }}</td>
                        <td class="table-primary-footer__data center">{{ $fifthMealCount }}</td>
                        <td>&nbsp;</td>
                    </tr>
                </tfooter>
            </table>

                <a class="back-button" href="{{ URL::previous() }}">Zpět</a>

        </div>
    </div>
@endsection
