<!DOCTYPE html>
<html lang="cs">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

	<title>Back2life - Objednávkový systém</title>


	<link href="/css/default.css" rel="stylesheet">
    {{--<link href="/css/app.css" rel="stylesheet">--}}

    <link href="/css/classic.css" rel="stylesheet">
    <link href="/css/classic.date.css" rel="stylesheet">

    {{--<link href="/css/bootstrap.min.css" rel="stylesheet">--}}

	<!-- Fonts -->
    <script src="//use.typekit.net/uzg0yap.js"></script>
    <script>try{Typekit.load();}catch(e){}</script>
	{{--<link href='//fonts.googleapis.com/css?family=Roboto:400,300' rel='stylesheet' type='text/css'>--}}

    <!-- jQuery -->
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>

	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<body>
    <header class="site-header">
        <div class="wrap wrap--12">
            <nav class="nav-primary" id="nav-primary" role="navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">

                <span class="menu-toggle" id="menu-toggle">Menu</span>

                <div class="row">
                    <div class="col col-2-12 pull-1-12">
                        <div class="title-area">
                            <p class="site-title" itemprop="headline">
                                <a href="/" title="Back2life">Back2Life</a>
                            </p>
                        </div> <!-- /title-area -->
                    </div>
                    <div class="col col-6-12">
                        <ul class="menu-primary" id="menu-primary">
                            <li class="menu-primary__item {{ Route::is('home') ? 'current' : '' }}"><a href="/">Home</a></li>
                            <li class="menu-primary__item {{ Route::is('order') ? 'current' : '' }}"><a href="/objednat-krabicky">Objednat krabičky</a></li>
                            <li class="menu-primary__item {{ Route::is('contact') ? 'current' : '' }}"><a href="/kontakt">Kontakt</a></li>

                            {{--@if((Auth::user()) && (!Auth::user()->isAdmin()))--}}
                            {{--<li><p>Kredit: <span>{{ Auth::user()->deposit }}</span></p></li>--}}
                            {{--@endif--}}

                            {{--Show client's item for "Profile", "My orders".--}}
                            @if(Auth::user())
                                <li class="menu-primary__item {{ Route::is('profile') ? 'current' : '' }}"><a href="/profil-uzivatele/uzivatel{{ Auth::user()->user_id }}">Profil</a></li>
                                <li class="menu-primary__item {{ Route::is('myOrders') ? 'current' : '' }}"><a href="/uzivatel{{ Auth::user()->user_id }}/moje-objednavky">Moje objednávky</a></li>
                            @endif
                            <li class="menu-primary__item"><a href="http://www.back2life.cz" target="_blank">Back2life</a></li>

                            {{--Show "Admin" item for administrator.--}}
                            @if((Auth::user()) && (Auth::user()->isAdmin()))
                                <li class="menu-primary__item {{ Route::is('admin') ? 'current' : '' }}"><a href="/administrator">  Admin</a></li>
                            @endif

                        </ul>
                    </div>
                    <div class="col col-3-12 last">
                        <ul class="menu-user" id="menu-user">
                            @if (Auth::guest())
                                <li class="menu-user__item blue"><a href="/auth/login">Přihlásit se</a></li>
                                <li class="menu-user__item gray"><a href="/auth/register">Registrace</a></li>
                            @else
                                <li class="menu-user__item blue"><a href="/profil-uzivatele/uzivatel{{ Auth::user()->user_id }}">{{ Auth::user()->first_name }} {{  Auth::user()->last_name }} </a></li>
                                <li class="menu-user__item gray"><a href="/auth/logout">Odhlásit</a></li>
                            @endif
                        </ul><!-- /menu-primary -->
                    </div>
                </div>
            </nav>

            <script>

                    var $menuBtn = $('#menu-toggle');
                    var $menuUser = $('#menu-user');
                    var $menuPrimary = $('#menu-primary');

                    $menuBtn.click(function() {
                        $menuUser.toggleClass('active');
                        $menuPrimary.toggleClass('active');
                        $menuBtn.toggleClass('active');
                    })



            </script>

        </div>
    </header>

    <div class="site-inner" itemscope="itemscope" itemtype="http://schema.org/WebPage">
        <main class="content" role="main" itemprop="mainContentOfPage">
                @if (Session::has('flash_message'))
                    <div class="alert alert-success">
                        <div class="wrap wrap--8">{{ Session::get('flash_message') }}</div>
                    </div>
                @endif

                @if (Session::has('error_message'))
                    <div class="alert alert-warning">
                        <div class="wrap wrap--8">{{ Session::get('error_message') }}</div>
                    </div>
                @endif

                @yield('content')

        </main>
    </div>

    <footer class="site-footer" role="contentinfo" itemscope="itemscope" itemtype="http://schema.org/WPFooter">
        <div class="wrap wrap--12">
            <div class="row">
                <div class="col col-4-12">
                    <div class="site-footer-social">
                        <a href="https://www.facebook.com/pages/Back-2-life/272894139584173?fref=ts" title="Back2Life na Facebooku" class="site-footer-social__facebook"><i class="icon icon-facebook"></i></a>
                    </div>
                </div>
                <div class="col col-4-12 pull-4-12 last">
                    <div class="site-footer-info">
                        <p class="site-footer__phone">+420 739 987 345</p>
                        <p class="site-footer__email">info@back2life.cz</p>
                        <p class="site-footer__credits">Designed with love by <a href="http://justmighty.cz" title="Justmighty">Justmighty</a>.</p>
                    </div>
                </div>
            </div>
        </div>
    </footer>


	<!-- Scripts -->
	{{--<script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.1/js/bootstrap.min.js"></script>--}}
    {{--<script src="/js/bootstrap.min.js"></script>--}}
    <script src="/js/picker.js"></script>
    <script src="/js/picker.date.js"></script>
    <script src="/js/legacy.js"></script>
    <script src="/js/cs_CZ.js"></script>
    <script src="/js/jquery.tablesorter.min.js"></script>
    <script>
        $(document).ready(function()
                {
                    $("#todayOrderList").tablesorter();
                }
        );
    </script>
</body>
</html>
