@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Přihlášení</h1>
            <h2 class="section-header__subtitle subtitle">Jste registrovaný uživatel?</h2>
            <p class="section-header__info info">Není nic jednoduššího než se přihlásit a objednat si krabičky.</p>
        </div>
    </div>
    <div class="section section-home">
        <div class="wrap wrap--8">
            @if (count($errors) > 0)
                <div class="alert alert-danger full-width">
                    <strong>Ups!</strong> Nastaly problémy s přihlášením.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="form">
                <form role="form" method="POST" action="/auth/login">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">

                    <div class="text-field half first">
                        <label for="email">E-Mail</label>
                        <input type="email" name="email" value="{{ old('email') }}">
                    </div>

                    <div class="text-field half second">
                        <label for="password">Heslo</label>
                        <input type="password" name="password">
                    </div>

                    <div class="checkbox last">
                        <label  >
                            <input type="checkbox" name="remember"> Pamatovat si mě
                        </label>
                    </div>

                    <div class="submit info">
                        <button type="submit" class="btn btn--blue-white">
                            Přihlásit
                        </button>
                        <a href="/password/email" class="forgot-password">Zapomněli jste heslo?</a>
                    </div>
                </form>
            </div>
		</div>
	</div>
</div>
@endsection
