@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Registrace</h1>
            <h2 class="section-header__subtitle subtitle">Řekněte nám něco o sobě</h2>
            <p class="section-header__info info">Poskytnuté údaje budou použity pouze pro vyřizování objednávek.</p>
        </div>
    </div>
    <div class="section section-register">
        <div class="wrap wrap--8">
            @if (count($errors) > 0)
                <div class="alert alert-danger full-width">
                    <p class="alert__info"><strong>Ups!</strong> Nastaly problémy s registrací.</p>
                    <ul class="alert-list">
                        @foreach ($errors->all() as $error)
                            <li class="alert-list__item">{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="form">
                <form role="form" method="POST" action="/auth/register">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">

                    <div class="text-field half first">
                        <label for="first_name">Jméno</label>
                        <input type="text" class="form-control" name="first_name" value="{{ old('first_name') }}">
                    </div>

                    <div class="text-field half second">
                        <label for="last_name">Příjmení</label>
                        <input type="text" class="form-control" name="last_name" value="{{ old('last_name') }}">
                    </div>

                    <div class="text-field half first">
                        <label for="email">E-mailová adresa</label>
                        <input type="email" class="form-control" name="email" value="{{ old('email') }}">
                    </div>


                    <div class="text-field half second">
                        <label for="phone">Telefonní číslo</label>
                        <input type="text" class="form-control" name="phone" value="{{ old('phone') }}">
                    </div>

                    <div class="text-field half first">
                        <label for="street">Ulice</label>
                        <input type="text" class="form-control" name="street" value="{{ old('street') }}">
                    </div>

                    <div class="text-field half second">
                        <label for="house_number">Orientační číslo</label>
                        <input type="text" class="form-control" name="house_number" value="{{ old('house_number') }}">
                    </div>

                    <div class="text-field half first">
                        <label for="city">Město</label>
                        <input type="text" class="form-control" name="city" value="{{ old('city') }}">
                    </div>

                    <div class="text-field half second">
                        <label for="postal_code">PSČ</label>
                        <input type="text" class="form-control" name="postal_code" value="{{ old('postal_code') }}">
                    </div>

                    <div class="text-field half first last">
                        <label for="password">Heslo</label>
                        <input type="password" name="password">
                    </div>

                    <div class="text-field half second last">
                        <label for="password_confirmation">Heslo znovu</label>
                        <input type="password" name="password_confirmation">
                    </div>

                    <div class="submit">
                        <button type="submit" class="btn btn--blue-white">
                            Registrovat
                        </button>
                    </div>
                </form>
            </div>
		</div>
	</div>
</div>
@endsection
