@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Obnovení hesla</h1>
            <h2 class="section-header__subtitle subtitle">Zadejte nové heslo</h2>
            <p class="section-header__info info">Pokud chcete změnit své heslo, zadejte a potvrďte nové.</p>
        </div>
    </div>
    <div class="section section-reset-password">
        <div class="wrap wrap--8">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Ups!</strong> Nastala chyba.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="form">
                <form role="form" method="POST" action="/password/reset">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <input type="hidden" name="token" value="{{ $token }}">

                    <div class="text-field">
                        <label for="email">E-mailová adresa</label>
                        <input type="email" name="email" value="{{ old('email') }}">
                    </div>

                    <div class="text-field half first">
                        <label for="password">Heslo</label>
                        <input type="password" name="password">
                    </div>

                    <div class="text-field half second">
                        <label for="password_confirmation">Heslo znovu</label>
                        <input type="password" name="password_confirmation">
                    </div>

                    <div class="submit">
                        <button type="submit" class="btn btn--blue-white">
                            Obnovit heslo
                        </button>
                    </div>
                </form>
            </div>
		</div>
	</div>
</div>
@endsection
