@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Objednávka krabiček</h1>
            <h2 class="section-header__subtitle subtitle">V nabídce máme několik balíčků</h2>
            <p class="section-header__info info">Vyberte a objednejte si vámi zvolený produkt.</p>
        </div>
    </div>
    <div class="section-order">
        <div class="wrap wrap--8">

            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Ups!</strong>Nastala chyba<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>

            <?php
                $availableProducts = \App\Product::findAvailableProducts();
                ?>



            @if  ((count($products) > 0))

                    @if  ((count($availableProducts) > 0))

                        @foreach( $availableProducts as $product)
                            <div class="section-order-product">
                                <div class="wrap wrap--8">
                                    <div class="section-order-unit description">
                                        <h3 class="section-order-product__title">{{ $product->name }}</h3>
                                        <p class="section-order-product__content">{{ $product->description }}</p>
                                    </div>
                                    <div class="section-order-unit button">
                                        <a class="section-order-product__link btn btn--blue-white" href="/objednat-krabicky/produkt/{{ $product->product_id }}">Objednat</a>
                                    </div>
                                </div>
                            </div>

                        @endforeach

                    @else
                        <div class="info">
                            <div class="wrap wrap--8">
                                 <p>K objednání nejsou k dispozici <strong>žádné</strong> produkty.</p>
                            </div>
                        </div>
                    @endif

            @else
                <div class="info">
                    <div class="wrap wrap--8">
                        <p>K objednání nejsou k dispozici <strong>žádné</strong> produkty.</p>
                    </div>
                </div>

            @endif


    </div>


@endsection
