@extends('app')

@section('content')

    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Objednávka</h1>
            <h2 class="section-header__subtitle subtitle">Produkt "{{ $product->name }}"</h2>
            <p class="section-header__info info">Objednávka od <strong>{{ $order->getNumericDate($order->start_date) }}</strong> do <strong>{{$order->getNumericDate($order->end_date) }}</strong></p>
        </div>
    </div>
    <div class="section section-my-orders">
        <div class="wrap wrap--8">

                        @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <strong>Ups!</strong>Zkontrolujte, prosím, správnost vašich údajů.<br><br>
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                        {!! Form::open() !!}
                        <table class="table-primary">
                            <tr class="table-primary-header">
                                <th class="table-primary-header__data">Datum</th>
                                <th class="table-primary-header__data">1. jídlo</th>
                                <th class="table-primary-header__data">2. jídlo</th>
                                <th class="table-primary-header__data">3. jídlo</th>
                                <th class="table-primary-header__data">4. jídlo</th>
                                <th class="table-primary-header__data">5. jídlo</th>
                            </tr>
                        @foreach($days as $day)
                            <tr class="table-primary-row">
                                <td class="table-primary-row__data">{{ $order->getCzechDate($day->date) }}</td>
                                @if( \App\Order::editCondition($day->date) )
                                    <td class="table-primary-row__data center">{!! Form::checkbox('first_meal'.$day->day_id, $day->first_meal, $day->isOrdered($day->first_meal)) !!}</td>
                                    <td class="table-primary-row__data center">{!! Form::checkbox('second_meal'.$day->day_id, $day->second_meal, $day->isOrdered($day->second_meal)) !!}</td>
                                    <td class="table-primary-row__data center">{!! Form::checkbox('third_meal'.$day->day_id, $day->third_meal, $day->isOrdered($day->third_meal)) !!}</td>
                                    <td class="table-primary-row__data center">{!! Form::checkbox('fourth_meal'.$day->day_id, $day->fourth_meal, $day->isOrdered($day->fourth_meal)) !!}</td>
                                    <td class="table-primary-row__data center">{!! Form::checkbox('fifth_meal'.$day->day_id, $day->fifth_meal, $day->isOrdered($day->fifth_meal)) !!}</td>
                                @else
                                    <td class="table-primary-row__data center">-</td>
                                    <td class="table-primary-row__data center">-</td>
                                    <td class="table-primary-row__data center">-</td>
                                    <td class="table-primary-row__data center">-</td>
                                    <td class="table-primary-row__data center">-</td>
                                @endif


                            </tr>
                        @endforeach
                        </table>
                        <div class="form-group">
                             {!! Form::submit('Změnit objednávku', ['class' => 'btn btn--blue-white']) !!}
                        </div>

                        {!! Form::close() !!}

                            <a class="back-button" href="{{ URL::previous() }}">Zpět</a>

        </div>
        </div>
    </div>
@endsection
