@extends('app')

@section('content')

    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">Moje objednávky</h1>
            <h2 class="section-header__subtitle subtitle">Jaké produkty mám objednané?</h2>
            <p class="section-header__info info">Prohlédněte si nebo změňte svoji objednávku.</p>
        </div>
    </div>
    <div class="section section-my-orders">
        <div class="wrap wrap--8">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                   <p><strong>Ups!</strong>Někde se stala chyba.</p>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            @if(!$orders->isEmpty())

                    @foreach( $orders as $order)

                        @if( \App\Order::isOrderActual($order))

                            <div class="section-my-orders-order">
                                <div class="row">
                                    <div class="col col-5-8 pull-1-8">
                                        <h3 class="section-my-orders-order__title">{{ $order->getProductForOrder($order)->name }}</h3>
                                        <p class="section-my-orders-order__content">{{ $order->getProductForOrder($order)->description }}</p>
                                    </div>
                                    <div class="col col-2-8 last">
                                        <p class="section-my-orders-order__date"><span>Od</span> {{ $order->getCzechDate($order->start_date) }}</p>
                                        <p class="section-my-orders-order__date last"><span>Do</span> {{ $order->getCzechDate($order->end_date) }}</p>
                                        <a class="section-my-orders-order__link btn btn--blue-white" href="/moje-objednavky/objednavka{{ $order->order_id }}">Provést změny</a>
                                    </div>
                                </div>
                            </div>



                        @endif

                    @endforeach
                {{--</table>--}}
            @else
                <div class="info">
                    <p>Nemáte objednané žádné krabičky. Objednat <a href="/objednat-krabicky"><strong>zde</strong></a>.</p>
                </div>

            @endif

        </div>
    </div>

@endsection
