@extends('app')

@section('content')
    <div class="section-header">
        <div class="wrap wrap--8">
            <h1 class="section-header__title title">{{ $product->name }}</h1>
            <h2 class="section-header__subtitle subtitle">Objednat tento produkt na časové období</h2>
            <p class="section-header__info info">{{ $product->description }}</p>
        </div>
    </div>
    <div class="section section-product-order">
        <div class="wrap wrap--8">

            @if (count($errors) > 0)
                <div class="alert alert-danger full-width">
                    <strong>Ups!</strong> Zkontrolujte si, prosím, správnost zadaného časového rozmezí.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="form section-product-order-form">
                {!! Form::open() !!}
                <div class="date">
                    <label for="start_date">Zvolte den začátku odběru</label>
                    <input id="start_date" name="start_date" type="text" data-value="<?php echo date('Y-m-d', time() + 1*86400 ) ?>" placeholder="Vyberte">
                </div>

                <div class="date">
                    <label for="end_date">Zvolte den konce odběru</label>
                    <input id="end_date" name="end_date" type="text" placeholder="Vyberte">
                </div>
                <div class="submit">
                    {!! Form::submit('Objednat krabičky', ['class' => 'btn btn--blue-white','onclick' => 'return confirm("Opravdu chcete objednat produkt?");']) !!}
                </div>
            {!! Form::close() !!}
            </div>

            <script>
                $(function() {
                    var date = new Date();

                    var yyyy = date.getFullYear().toString();
                    var mm = date.getMonth().toString();
                    var dd  = (date.getDate()+1).toString();
                    var mindd  = (date.getDate()+2).toString();


                    var mmChars = mm.split('');
                    var ddChars = dd.split('');
                    var minddChars = mindd.split('');

                    var year = yyyy;
                    var month = (mmChars[1]?mm:"0"+mmChars[0]);
                    var day = (ddChars[1]?dd:"0"+ddChars[0]);
                    var minDay = (minddChars[1]?dd:"0"+minddChars[0]);




                    // Enable Pickadate on an input field
                    $('#start_date').pickadate({
                        formatSubmit : 'yyyy-mm-dd',
                        min: [ year, month, day ],
                        hiddenName: true
                    });

                    $('#end_date').pickadate({
                        formatSubmit : 'yyyy-mm-dd',
                        min: [ year, month, minDay ],
                        hiddenName: true
                    });
                });
            </script>

        </div>
    </div>
@endsection
