@extends('app')

@section('content')

        <div class="section-header">
            <div class="wrap wrap--8">
                <h1 class="section-header__title title">Profil uživatele</h1>
                <h2 class="section-header__subtitle subtitle">{{ $user->first_name }} {{ $user->last_name }}</h2>
                <p class="section-header__info info">{{ $user->email }}</p>
            </div>
        </div>
        <div class="section section-profile">
            <div class="wrap wrap--8">
                @if (count($errors) > 0)
                    <div class="alert alert-danger">
                        <strong>Ups!</strong>Zkontrolujte, prosím, správnost vašich údajů.<br><br>
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="info section-profile__info">
                    <p>Na této stránce si můžete pozměnit své <strong>kontaktní údaje</strong> a případně připsat poznámku o vás.</p>
                    <p>Poznámku můžete <strong>také</strong> využít jako poskytnutí informací o tom, jaké <strong>suroviny</strong> nemáte rádi.</p>
                    <p>Pokud to bude možné, pokusíme se danou porci jídla připravit bez dané suroviny.</p>
                </div>

                <div class="form section-profile-form">
                    {!! Form::open() !!}
                    <div class="text-field">
                        {!! Form::label('phone','Telefonní číslo') !!}
                        {!! Form::text('phone', $user->phone, ['class' => 'form-control']) !!}
                    </div>

                    <div class="text-field half first">
                        {!! Form::label('street','Ulice') !!}
                        {!! Form::text('street', $address->street, ['class' => 'form-control']) !!}
                    </div>

                    <div class="text-field half second">
                        {!! Form::label('house_number','Orientační číslo') !!}
                        {!! Form::text('house_number', $address->house_number, ['class' => 'form-control']) !!}
                    </div>

                    <div class="text-field half first">
                        {!! Form::label('city','Město') !!}
                        {!! Form::text('city', $address->city, ['class' => 'form-control']) !!}
                    </div>

                    <div class="text-field half second">
                        {!! Form::label('postal_code','PSČ') !!}
                        {!! Form::text('postal_code', $address->postal_code, ['class' => 'form-control']) !!}
                    </div>

                    <div class="text-area last">
                        <p class="form-info">Zde můžete například napsat, jaké suroviny nemáte rádi a my se vám pokusíme vyhovět.</p>
                        {!! Form::label('note','Poznámka') !!}
                        {!! Form::textarea('note', $user->note, ['class' => 'form-control']) !!}
                    </div>

                    <div class="submit">
                        {!! Form::submit('Aktualizovat údaje', ['class' => 'btn btn--blue-white','onclick' => 'return confirm("Opravdu údaje aktualizovat?");']) !!}
                    </div>
                    {!! Form::close() !!}
                </div>
             </div>
        </div>
@endsection
