<?php

/*--------------------------------------------------------------------------*\
    Define Constants
\*--------------------------------------------------------------------------*/

define('ROOT', get_stylesheet_directory_uri());
define('IMG', ROOT . '/img');
define('CSS', ROOT . '/css');
define('JS', ROOT . '/js');
define('DOCS', ROOT . '/dokumenty');

/*--------------------------------------------------------------------------*\
    Menus
\*--------------------------------------------------------------------------*/


function register_custom_menus() {

    register_nav_menus(array(
        'nav-primary'      => 'Site navigation',
        'nav-footer'       => 'Footer navigation'
    ));

}
add_action('init', 'register_custom_menus');

/*--------------------------------------------------------------------------*\
    Walkers
\*--------------------------------------------------------------------------*/

class jm_walker_nav_menu extends Walker_Nav_Menu {

    function start_lvl( &$output ) {

        $classes = array(
            'nav-child'
        );
        $class_names = implode( ' ', $classes );
        $output .= '<ul class="' . $class_names . '">';

    }

}

/*--------------------------------------------------------------------------*\
    Theme Support Thumbnails
\*--------------------------------------------------------------------------*/

if (function_exists('add_theme_support')) {

    add_theme_support('post-thumbnails');
    set_post_thumbnail_size(728, 392, true);
    add_image_size('home-post', 550, 312, true);


}

/*--------------------------------------------------------------------------*\
    Excerpt
\*--------------------------------------------------------------------------*/

function jm_excerpt_length($length) {
    return 40;
}
add_filter( 'excerpt_length', 'jm_excerpt_length', 999 );

function jm_excerpt_more($more) {
    return ' ...';
}
add_filter('excerpt_more', 'jm_excerpt_more');


// Sidebar
if (function_exists('register_sidebar')) {
    register_sidebar(array(
        'name'          => 'Main Sidebar',
        'id'            => 'main-sidebar',
        'description'   => 'The main sidebar area',
        'before_widget' => '<section class="widget"><div class="widget-wrap">',
        'after_widget'  => '</div></section> <!-- /widget -->',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>'  
    ));
}

// Add class to next and previsou post
add_filter('next_posts_link_attributes', 'posts_link_attributes_1');
add_filter('previous_posts_link_attributes', 'posts_link_attributes_2');

function posts_link_attributes_1() {
    return 'class="prev-post"';
}
function posts_link_attributes_2() {
    return 'class="next-post"';
}

